Package org.h2.value

# Class ExtTypeInfo

java.lang.Object
org.h2.value.ExtTypeInfo

All Implemented Interfaces:
  `HasSQL`

Direct Known Subclasses:
  `ExtTypeInfoEnum`, `ExtTypeInfoGeometry`, `ExtTypeInfoNumeric`, `ExtTypeInfoRow`, `TypeInfo`

public abstract class ExtTypeInfo extends Object implements HasSQL
Extended parameters of a data type.

## Field Summary

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Constructor Summary

Constructors
Constructor
Description
`ExtTypeInfo()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getSQL, getTraceSQL`

## Constructor Details

### ExtTypeInfo

public ExtTypeInfo()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`